Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb
Class EnterpriseContext.EJBContextImpl

    java.lang.Object
      org.jboss.ejb.EnterpriseContext.EJBContextImpl

All Implemented Interfaces:
  javax.ejb.EJBContext

Direct Known Subclasses:
  EntityEnterpriseContext.EntityContextImpl, MessageDrivenEnterpriseContext.MessageDrivenContextImpl, StatefulSessionEnterpriseContext.StatefulSessionContextImpl, StatelessSessionEnterpriseContext.SessionContextImpl

Enclosing class:
  EnterpriseContext

protected class EnterpriseContext.EJBContextImpl
extends Object
implements javax.ejb.EJBContext

Constructor Summary
`protected` | `EnterpriseContext.EJBContextImpl()`

Method Summary
`Identity` | `getCallerIdentity()` Deprecated.
`Principal` | `getCallerPrincipal()` Get the Principal for the current caller.
`javax.ejb.EJBHome` | `getEJBHome()`
`javax.ejb.EJBLocalHome` | `getEJBLocalHome()`
`Properties` | `getEnvironment()` Deprecated.
`boolean` | `getRollbackOnly()`
`javax.ejb.TimerService` | `getTimerService()`
`UserTransaction` | `getUserTransaction()`
`boolean` | `isCallerInRole(Identity id)` Deprecated.
`boolean` | `isCallerInRole(String roleName)` Checks if the current caller has a given role.
`Object` | `lookup(String name)`
`void` | `setRollbackOnly()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnterpriseContext.EJBContextImpl

    protected EnterpriseContext.EJBContextImpl()

Method Detail

### lookup

    public Object lookup(String name)

  Specified by:
    `lookup` in interface `javax.ejb.EJBContext`

### getCallerIdentity

    public Identity getCallerIdentity()

  Deprecated.

  Specified by:
    `getCallerIdentity` in interface `javax.ejb.EJBContext`

### getTimerService

    public javax.ejb.TimerService getTimerService()
                                           throws IllegalStateException

  Specified by:
    `getTimerService` in interface `javax.ejb.EJBContext`
  Throws:
    `IllegalStateException`

### getCallerPrincipal

    public Principal getCallerPrincipal()

  Get the Principal for the current caller. This method cannot return null according to the ejb-spec.

  Specified by:
    `getCallerPrincipal` in interface `javax.ejb.EJBContext`

### getEJBHome

    public javax.ejb.EJBHome getEJBHome()

  Specified by:
    `getEJBHome` in interface `javax.ejb.EJBContext`

### getEJBLocalHome

    public javax.ejb.EJBLocalHome getEJBLocalHome()

  Specified by:
    `getEJBLocalHome` in interface `javax.ejb.EJBContext`

### getEnvironment

    public Properties getEnvironment()

  Deprecated.

  Specified by:
    `getEnvironment` in interface `javax.ejb.EJBContext`

### getRollbackOnly

    public boolean getRollbackOnly()

  Specified by:
    `getRollbackOnly` in interface `javax.ejb.EJBContext`

### setRollbackOnly

    public void setRollbackOnly()

  Specified by:
    `setRollbackOnly` in interface `javax.ejb.EJBContext`

### isCallerInRole

    public boolean isCallerInRole(Identity id)

  Deprecated.

  Specified by:
    `isCallerInRole` in interface `javax.ejb.EJBContext`

### isCallerInRole

    public boolean isCallerInRole(String roleName)

  Checks if the current caller has a given role. The current caller is either the principal associated with the method invocation or the current run-as principal.

  Specified by:
    `isCallerInRole` in interface `javax.ejb.EJBContext`

### getUserTransaction

    public UserTransaction getUserTransaction()

  Specified by:
    `getUserTransaction` in interface `javax.ejb.EJBContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.